Skip to main content
GET
List Meals

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowPassword
Token URL
/api/v1/auth/login

Headers

X-Open-Wearables-API-Key
string | null

Path Parameters

user_id
string<uuid>
required

Query Parameters

start_date
string<date-time>
required

ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and cover the whole day, so a date-only range includes both boundary days.

Examples:

"2023-11-07T05:31:56Z"

"2023-11-07"

end_date
string<date-time>
required

ISO 8601 datetime (e.g. 2023-11-07T05:31:56Z) or Unix timestamp in seconds. Date-only strings (e.g. 2023-11-07) are also accepted and cover the whole day, so a date-only range includes both boundary days.

Examples:

"2023-11-07T05:31:56Z"

"2023-11-07"

cursor
string | null
limit
integer
default:50
Required range: 1 <= x <= 1000
provider
enum<string> | null

Supported data providers.

Available options:
apple,
samsung,
garmin,
health_connect,
google_health,
polar,
suunto,
whoop,
strava,
oura,
fitbit,
ultrahuman,
sensorbio,
withings,
unknown,
internal
source
string | null
device_model
string | null
data_source_id
string<uuid> | null

Response

Successful Response

data
Meal · object[]
required
pagination
Pagination · object
required
metadata
TimeseriesMetadata · object
required